import React from 'react';
import type AppRegistry from 'hadron-app-registry';
export type IndexView = 'regular-indexes' | 'search-indexes';
type IndexesToolbarProps = {
    errorMessage: string | null;
    isReadonlyView: boolean;
    isWritable: boolean;
    hasTooManyIndexes: boolean;
    localAppRegistry: AppRegistry;
    isRefreshing: boolean;
    writeStateDescription?: string;
    isAtlasSearchSupported: boolean;
    onRefreshIndexes: () => void;
    onChangeIndexView: (newView: IndexView) => void;
    readOnly?: boolean;
};
export declare const IndexesToolbar: React.FunctionComponent<IndexesToolbarProps>;
type CreateIndexButtonProps = {
    isSearchManagementActive: boolean;
    isAtlasSearchSupported: boolean;
    isWritable: boolean;
    onClickCreateIndex: () => void;
    onClickCreateAtlasSearchIndex: () => void;
};
export declare const CreateIndexButton: React.FunctionComponent<CreateIndexButtonProps>;
export {};
//# sourceMappingURL=indexes-toolbar.d.ts.map