import React from 'react';
import type { IndexDefinition, SortColumn, SortDirection } from '../../modules/regular-indexes';
type RegularIndexesTableProps = {
    indexes: IndexDefinition[];
    canModifyIndex: boolean;
    serverVersion: string;
    onDeleteIndex: (index: IndexDefinition) => void;
    onHideIndex: (name: string) => void;
    onUnhideIndex: (name: string) => void;
    onSortTable: (column: SortColumn, direction: SortDirection) => void;
};
export declare const RegularIndexesTable: React.FunctionComponent<RegularIndexesTableProps>;
export {};
//# sourceMappingURL=regular-indexes-table.d.ts.map