import type { AnyAction } from 'redux';
export declare enum SearchIndexesStatuses {
    NOT_AVAILABLE = "NOT_AVAILABLE",
    PENDING = "PENDING",
    READY = "READY",
    REFRESHING = "REFRESHING"
}
type SearchIndexesStatus = keyof typeof SearchIndexesStatuses;
export declare enum ActionTypes {
    SetStatus = "indexes/regular-indexes/SetStatus"
}
type SetStatusAction = {
    type: ActionTypes.SetStatus;
    status: SearchIndexesStatus;
};
export type State = {
    status: SearchIndexesStatus;
};
export declare const INITIAL_STATE: State;
export default function reducer(state: State | undefined, action: AnyAction): State;
export declare const setStatus: (status: SearchIndexesStatus) => SetStatusAction;
export {};
//# sourceMappingURL=search-indexes.d.ts.map