import type { Action, AnyAction } from 'redux';
import type { ThunkAction, ThunkDispatch } from 'redux-thunk';
declare const reducer: import("redux").Reducer<import("redux").CombinedState<{
    isWritable: boolean;
    isReadonlyView: boolean;
    description: any;
    appRegistry: unknown;
    dataService: import("../stores/store").IndexesDataService | null;
    serverVersion: string;
    namespace: string;
    regularIndexes: import("./regular-indexes").State;
    searchIndexes: import("./search-indexes").State;
}>, Action<any>>;
export type RootState = ReturnType<typeof reducer>;
export type IndexesThunkDispatch<A extends AnyAction> = ThunkDispatch<RootState, unknown, A>;
export type IndexesThunkAction<R, A extends Action = AnyAction> = ThunkAction<R, RootState, unknown, A>;
export default reducer;
//# sourceMappingURL=index.d.ts.map